GET /number/search

nexmo.com:numbers

Summary: Search available numbers
Operation ID: getAvailableNumbers
Auth: unknown
Description

Retrieve inbound numbers that are available for the specified country.

Parameters (7)

country (?, query, required)

The two character country code to filter on (in ISO 3166-1 alpha-2 format)

features (string, query, optional)

Available features are `SMS`, `VOICE` and `MMS`. To look for numbers that support multiple features, use a comma-separated value: `SMS,MMS,VOICE`.

Constraints: {'enum': ['SMS', 'VOICE', 'SMS,VOICE', 'MMS', 'SMS,MMS', 'VOICE,MMS', 'SMS,MMS,VOICE']}

index (integer, query, optional, default: 1)

Page index

pattern (string, query, optional)

The number pattern you want to search for. Use in conjunction with `search_pattern`.

search_pattern (integer, query, optional, default: 0)

The strategy you want to use for matching: * `0` - Search for numbers that start with `pattern` (Note: all numbers are in E.164 format, so the starting pattern includes the country code, such as 1 for USA) * `1` - Search for numbers that contain `pattern` * `2` - Search for numbers that end with `pattern`

Constraints: {'enum': [0, 1, 2]}

size (integer, query, optional, default: 10)

Page size

Constraints: {'maximum': 100}

type (string, query, optional)

Set this parameter to filter the type of number, such as mobile or landline

Constraints: {'enum': ['landline', 'mobile-lvn', 'landline-toll-free']}

No probe data for this endpoint yet.